complexType "DirectionalLegUnderlyerValuation"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 14 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-eq-shared-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | legIdentifier*, payerPartyReference?, payerAccountReference?, receiverPartyReference?, receiverAccountReference?, effectiveDate?, terminationDate?, underlyer?, settlementType?, settlementDate?, (settlementAmount | settlementCurrency)?, fxFeature?, valuation?
</...>

Content Model Elements (14):

  effectiveDate (defined in DirectionalLeg complexType),
  fxFeature (defined in DirectionalLegUnderlyer complexType),
  legIdentifier,
  payerAccountReference,
  payerPartyReference (defined in PayerReceiver.model group),
  receiverAccountReference,
  receiverPartyReference,
  settlementAmount (defined in SettlementAmountOrCurrency.model group),
  settlementCurrency (defined in SettlementAmountOrCurrency.model group),
  settlementDate (defined in OptionSettlement.model group),
  settlementType (defined in OptionSettlement.model group),
  terminationDate (defined in DirectionalLeg complexType),
  underlyer (defined in DirectionalLegUnderlyer complexType),
  valuation (defined in DirectionalLegUnderlyerValuation complexType)

Known Direct Subtypes (2):

  CorrelationLeg, VarianceLeg

All Direct / Indirect Based Elements (3):

  correlationLeg,
  varianceLeg (defined in VarianceSwapTransactionSupplement complexType),
  varianceLeg (in varianceSwap)

Known Usage Locations

- In derivations of other global types (2):

  CorrelationLeg (as extension base), | VarianceLeg (as extension base)

Annotation
An abstract base class for all directional leg types with effective date, termination date, and underlyer, where a payer makes a stream of payments of greater than zero value to a receiver.
Type Definition Detail

Type Derivation Tree Leg (extension) DirectionalLeg (extension) DirectionalLegUnderlyer (extension) DirectionalLegUnderlyerValuation

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType abstract="true" name="DirectionalLegUnderlyerValuation"> <xsd:complexContent> <xsd:extension base="DirectionalLegUnderlyer"> <xsd:sequence> <xsd:element minOccurs="0" name="valuation" type="EquityValuation"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/14)
valuation

  Type: | EquityValuation, complex content

  Valuation of the underlyer.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="valuation" type="EquityValuation"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.